"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const wechat_1 = __importDefault(require("../lib/wechat"));
const media_1 = require("../models/media");
(0, vitest_1.describe)('Wechat Media API', function () {
    (0, vitest_1.it)('expect work', async () => {
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '');
        await media_1.Media.init({
            wechat,
            modelName: 'media'
        });
        const result = await media_1.Media.create({
            src: 'https://shanyue.tech/wechat.jpeg',
            type: 'image'
        });
        (0, vitest_1.expect)(result.media_id).length.to.gt(10);
    });
    (0, vitest_1.it)('expect work with wechat sync', async () => {
        const wechat = new wechat_1.default(process.env.APP_ID || '', process.env.APP_SECRET || '');
        await wechat.sync();
        const result = await wechat.models.media.create({
            src: 'https://shanyue.tech/wechat.jpeg',
            type: 'image'
        });
        (0, vitest_1.expect)(result.media_id).length.to.gt(10);
    });
});
